{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block title %}Editar Servicio{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item">Servicios</li>
    <li class="breadcrumb-item active">Editar Servicio</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Editar <small>servicio</small></h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Nuevo Servicio</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <strong>Dirección actual: </strong>  {{object.address}}
              <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>
          <form id="service-form" class="form-horizontal" method="post">
            {% csrf_token %}
            {{ form.media }}
            {% for error in form.non_field_errors %}
            <small class="f-s-12 text-danger">{{ error }}</small>
            <hr/>
            {% endfor %}
                <div class="tab-content">
                  <div id="general" role="tabpanel" class="tab-pane active">
                    <div class="form-group row m-b-12">
                      <label for="id_number" class="col-form-label col-sm-1">Número</label>
                      <div class="col-sm-5 col-md-5">
                      {% render_field form.number class="form-control m-b-5" placeholder=customer.number %}
                      {% for error in form.number.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>
                      
                      <label class="col-form-label col-md-1" for="region">Region</label>
                      <div class="col-sm-5">
                          <select id="region" 
                                  class="form-control form-control-sm " 
                                  width="100%" >
                                  <option value="">Region</option>
                          </select>
                      <span id="${idSelect}_error" class="text-danger"></span>
                      </div>
                      
                    </div>

                    <div class="form-group row m-b-12">

                      <label for="id_customer_type" class="col-form-label col-md-1">Tipo de cliente</label>
                      <div class="col-sm-5">
                      {% render_field form.customer_type class="form-control m-b-5"%}
                      {% for error in form.customer_type.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>
                      <label class="col-form-label col-md-1" for="commune">Comuna</label>
                      <div class="col-sm-5">
                          <select id="commune" 
                                  class="form-control form-control-sm " 
                                  width="100%">
                                  <option value="">{{comuna_actual}}</option>
                          </select>
                      <span id="commune_error" class="text-danger"></span>
                      </div>

                    </div>

                    <div class="form-group row m-b-12">

                      <label for="id_document_type" class="col-form-label col-md-1">Tipo de documento</label>
                      <div class="col-sm-5">
                      {% render_field form.document_type class="form-control m-b-5" %}
                      {% for error in form.document_type.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label class="col-form-label col-md-1" for="street">Calle</label>
                        <div class="col-sm-5">
                            <select id="street" 
                                    class="form-control form-control-sm " 
                                    width="100%">
                                    <option value="">{{calle_actual}}</option>
                            </select>
                        <span id="street_error" class="text-danger"></span>
                        </div>

                    </div>

                    <div class="form-group row m-b-12">

                      <label for="id_plan" class="col-form-label col-sm-1">{% trans 'plan' as tr_plan %}{{ tr_plan|capfirst }}</label>
                      <div border-color = "red" class="col-sm-5 col-md-5">
                      {% render_field form.plan class="form-control m-b-5" %}
                      {% for error in form.plan.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label class="col-form-label col-md-1" for="street_location">Nro de Calle</label>
                      <div class="col-sm-5">
                          <select id="street_location" 
                                  class="form-control form-control-sm " 
                                  width="100%">
                                  <option value="">{{nro_actual}}</option>
                          </select>
                      <span id="street_location_error" class="text-danger"></span>
                      </div>

                    </div>

                    <div class="form-group row m-b-12">

                      <label for="id_promotions" class="col-form-label col-sm-1">Promociones</label>
                      <div class="col-sm-5 col-md-5">
                      {% render_field form.promotions %}
                      {% for error in form.promotions.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label class="col-form-label col-md-1" for="complete_location">Nro de Casa o Dpto.</label>
                      <div class="col-sm-5">
                          <select id="complete_location" 
                                  class="form-control form-control-sm " 
                                  width="100%">
                                  <option value="">{{dpto_actual}}</option>
                          </select>
                      <span id="complete_location_error" class="text-danger"></span>
                      </div>

                      </div>
                    </div>
                    <div class="form-group row m-b-12" hidden>
                      <label for="street_location_id" class="col-form-label col-md-3">Calle</label>
                      <div class="col-sm-9">
            {% render_field form.street_location_id class="form-control m-b-5" %}
            {% for error in form.street_location_id.errors %}
           <small class="f-s-12 text-danger">{{ error }}</small>
            {% endfor %}
                      </div>
                    </div>
                    <div class="form-group row m-b-12" hidden >
                      <label for="id_pulso" class="col-form-label col-md-3">Pulso</label>
                      <div class="col-sm-9">
            {% render_field form.id_pulso class="form-control m-b-5" %}
            {% for error in form.id_pulso.errors %}
           <small class="f-s-12 text-danger">{{ error }}</small>
            {% endfor %}
                      </div>
                    </div>
                    <div class="form-group row m-b-12">

                      <label for="id_price_override" class="col-form-label col-sm-1">Modificar valor a cobrar</label>
                      <div class="col-sm-5 col-md-5">
                      {% render_field form.price_override class="form-control m-b-5" placeholder=object.plan.price %}
                      {% for error in form.price_override.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>


                    </div>


                    <div class="form-group row m-b-12">

                      <label for="id_collect_activation_fee" class="col-form-label col-sm-1">Cobrar activación</label>
                      <div class="col-sm-5 col-md-5">
                        <input id="id_collect_activation_fee" class="m-b-5" name="collect_activation_fee" type="checkbox"{% if object.activation_fee > 0 %} checked{% endif %}>
                      </div>

                      <label for="id_location" class="col-form-label col-sm-1">Comuna</label>
                      <div class="col-sm-5 col-md-5">
                      {% render_field form.location class="form-control m-b-5" %}
                      {% for error in form.location.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                    </div>

                    <div class="form-group row m-b-40"></div>

                    <div id="activation-fee-group" class="form-group row m-b-12{% if object.activation_fee == 0 %} hidden{% endif %}">

                      <label for="id_activation_fee" class="col-form-label col-sm-1">Cobro de habilitación</label>
                      <div class="col-sm-5 col-md-5">
                      {% render_field form.activation_fee class="form-control m-b-5" %}
                      {% for error in form.activation_fee.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label for="id_due_day" class="col-form-label col-sm-1">Día de pago</label>
                      <div class="col-sm-5 col-md-5">
                      {% render_field form.due_day class="form-control m-b-5" %}
                      {% for error in form.due_day.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}  
                      </div>

                    </div>

                    
                    </div>
                    <div class="form-group row m-b-12">
                      <label for="id_seller" class="col-form-label col-sm-1">Vendedor</label>
                      <div class="col-sm-3 col-md-3">
                      {% render_field form.seller class="form-control m-b-5" %}
                      {% for error in form.seller.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>
                      

                      

                        <label for="id_nodo" class="col-form-label col-sm-1">Nodo</label>
                        <div class="col-sm-5 col-md-5">
                        {% render_field form.node class="form-control m-b-5" %}
                        {% for error in form.node.errors %}
                        <small class="f-s-12 text-danger">{{ error }}</small>
                        {% endfor %}
                        </div>
                      </div>
                      <div class="form-group row m-b-12">
                      {% if "Debe especificar un técnico si va a cambiar el estado." in form.non_field_errors %}
                          <label for="id_technician" class="col-form-label col-sm-1" style="border-style: solid; border-color:red; border-width:thin" >Técnico</label>
                          <div class="col-sm-3 m-b-5">
                          {% render_field form.technician class="form-control m-b-5"%}
                          {% for error in form.technician.errors %}
                          <small class="f-s-12 text-danger">{{ error }}</small>
                          {% endfor %}
                        </div>
                      {%else%}
                          <label for="id_technician" class="col-form-label col-sm-1">Técnico</label>
                          <div class="col-sm-3 m-b-5">
                          {% render_field form.technician class="form-control m-b-5"%}
                          {% for error in form.technician.errors %}
                          <small class="f-s-12 text-danger">{{ error }}</small>
                          {% endfor %}
                        </div>
                      {% endif %}

                      <label for="id_status" class="col-form-label col-sm-1">Estado</label>
                      <div class="col-sm-3 col-md-3">
                      {% render_field form.status class="form-control m-b-5" %}
                      {% for error in form.status.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                    </div>


                    <div class="form-group row m-b-12">

                      <label for="id_allow_auto_cut" class="col-form-label col-sm-1">Permitir corte automático</label>
                      <div class="col-sm-1 col-md-1">
                      {% render_field form.allow_auto_cut %}
                      {% for error in form.allow_auto_cut.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label for="id_unified_billing" class="col-form-label col-sm-1">Facturas unificadas</label>
                      <div class="col-sm-1 col-md-1">
                      {% render_field form.unified_billing %}
                      {% for error in form.unified_billing.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label for="id_operator" class="col-form-label col-sm-1">Operador</label>
                      <div class="col-sm-2 col-md2">
                      {% render_field form.operator %}
                      {% for error in form.operator.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label for="id_tags" class="col-form-label col-sm-2">Etiquetas (separadas por coma)</label>
                      <div class="col-sm-3 col-md-3">                  
                      {% render_field form.tags class="form-control m-b-5" %}
                      {% for error in form.tags.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                    </div>

                    <div class="form-group row m-b-40"></div>

                    <div class="form-group row m-b-12">

                      <label for="id_notes" class="col-form-label col-sm-1">Notas del contrato</label>
                      <div class="col-sm-5 col-md-5">                  
                      {% render_field form.notes class="form-control m-b-5" %}
                      {% for error in form.notes.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                      <label for="id_billing_notes" class="col-form-label col-sm-1">Notas de facturación</label>
                      <div class="col-sm-5 col-md-5">                  
                      {% render_field form.billing_notes class="form-control m-b-5" %}
                      {% for error in form.billing_notes.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                    </div>
                    
                    <div class="form-group row m-b-12">

                      <label for="id_internal_notes" class="col-form-label col-sm-1">Notas internas</label>
                      <div class="col-sm-5 col-md-5">                  
                      {% render_field form.internal_notes class="form-control m-b-5" %}
                      {% for error in form.internal_notes.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                      </div>

                    </div>
                    
                  </div>
                </div>
          </form>

				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->

{% endblock %}


{% block pageleveljs %}
<script src="{% static 'js/pulso_form.js' %}"></script>
<script src="{% static 'js/select2.min.js' %}"></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript">
$(document).ready(function(){
// Carga de Js para Selectores



var selects = new SPA();


var content = selects.Select('Region','region')
content += selects.Select('Comuna','commune')
content += selects.Select('Calle','street')
content += selects.Select('Nro de Calle','street_location')
content += selects.Select('Nro de Casa o Dpto.','complete_location')

var api_url = 'https://pulso.multifiber.cl/';
$("#selectores").empty().append(content);
//$("#selectores1").empty().append(content);
$("#region,#commune,#street,#street_location,#complete_location").select2({width:'100%'})

url_region = '../../../../region-ac/';
selects.Select2AjaxWithoutModal(url_region,'region',{{region_actual|safe}});

$("#region").on('change',function(){
    var region = $("#region").val();
    url_commune = `/commune-ac/${region}/`;
    selects.Select2AjaxWithoutModal(url_commune,'commune','Comuna');

    $("#commune").on('change',function(){
        var commune = $("#commune").val();
        url_street = `/street-ac/${commune}/`;
        selects.Select2AjaxWithoutModal(url_street,'street','Calle');

        $("#street").on('change',function(){
            var street = $("#street").val();
            url_street_location = `/street-location-ac/${street}/`;
            selects.Select2AjaxWithoutModal(url_street_location,'street_location','Nro de calle');

            $("#street_location").on('change',function(){
                var street_location = $("#street_location").val();
                url_complete_location = `/complete-location-ac/${street_location}/`;
                selects.Select2AjaxWithoutModal(url_complete_location,'complete_location','Nro Casa o Dpto');
                document.getElementById("id_street_location_id").value = street_location;

                $("#complete_location").on('change',function(){

                    var complete_location = $(this).val();
                    document.getElementById("id_id_pulso").value = complete_location;
                })
            })
        })
    })

})

function reset_select(){
    $("#region,#commune,#street,#street_location,#complete_location")
    .val('')
    .trigger('change');
}

function SeparateNumber(val, param = 'entero') {
    // Separa con puntos y como los nÃºmeros en el datatable
    if (param != 'entero') {
        decimal = 2
    } else {
        decimal = 0
    }
    val = val.toFixed(decimal).replace('.', ',').replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.')
    while (/(\d+)(\d{3})/.test(val.toString())) {
        val = val.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.');
    }
    return val
}
});

function customerAddress() {
  var first = $('#street_location').val();
  var last = $('#complete_location').val();
  window.location.href = window.location+first+"/"+last+"/";
}

</script>
    <style>
        div.preview *{
            color:red;
        }
    </style>
    <script type="text/javascript" src="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js' %}"></script>
    
    <script type="text/javascript">
    $(document).ready(function(){
      $('#id_document_type').on('change', function() {
	  var document_type = $(this).find(':selected').text();
	  if (document_type === "factura") {
              $('#activity-group').removeClass('hidden');
	  } else if (document_type === "boleta") {
              $('#activity-group').addClass('hidden');
	  }
      });

      $('#id_collect_activation_fee').on('change', function() {
	  var collect_activation_fee = $(this).is(':checked');

	  if (collect_activation_fee) {
              $('#activation-fee-group').removeClass('hidden');
	  } else {
              $('#activation-fee-group').addClass('hidden');
	  }
      });

      // save and cancel buttons
	$('#save-button').click(function() {
	    $('#service-form').submit();
	});
  $('#save-button-2').click(function() {
      $('#service-form').submit();
  });  
	$('#cancel-button').click(function() {
	    window.location.href = '{% if object %}{% url 'service-detail' slug=object.pk %}{% else %}{% url 'service-list' customer_pk=customer.pk %}{% endif %}';
	});
	
  //Home, company, exchange and boleta,factura, nota de venta relation
  


  function verifyDocumenttype(){
    if ($('#id_customer_type').val() == 2){
      if ($('#id_document_type').val() == 1 || $('#id_document_type').val() == 3){
        $('#id_document_type').val(2)
      }
    $('#id_document_type option[value=2]').prop('disabled',false)
    $('#id_document_type option[value=1]').prop('disabled',true)
    $('#id_document_type option[value=3]').prop('disabled',true)

  }

  else if ($('#id_customer_type').val() == 3){
    if ($('#id_document_type').val() == 1 || $('#id_document_type').val() == 2){
        $('#id_document_type').val(3)
      }
    $('#id_document_type option[value=3]').prop('disabled',false)
    $('#id_document_type option[value=1]').prop('disabled',true)
    $('#id_document_type option[value=2]').prop('disabled',true)
  }
  else{
    $('#id_document_type option[value=1]').prop('disabled',false)
    $('#id_document_type option[value=2]').prop('disabled',false)
    $('#id_document_type option[value=3]').prop('disabled',false)


  }
}
  verifyDocumenttype();

  $('#id_customer_type').on('change',function(){
    verifyDocumenttype();
  })

   
       	
	
    });
    

         
        

  
    </script>
{% endblock %}
